package com.smppw.modaq.common.enums;

import lombok.Getter;

@Getter
public enum ReportType {
    // 最后识别的类型
    OTHER(-2, "其他报告", new String[]{"公告", "通知", "告知函", "意见征询函", "说明函",
            "清算报告", "邀请函", "观点", "预警", "复核函", "提醒", "投研报告", "公示", "回顾"}),

    LETTER(-1, "交易流水确认函", new String[]{"确认单", "确认函", "交易确认数据",
            "赎回确认", "申购确认", "分红确认", "确认表", "交易确认", "确认"}),

    MONTHLY(0, "月", new String[]{"月", "月度报告", "月报"}),

    QUARTERLY(1, "季", new String[]{"季", "季度报告", "季报", "季度"}),

    ANNUALLY(2, "年", new String[]{"年度", "年报"}),

    WEEKLY(3, "周", new String[]{"周报", "周度报告", "周度", "周"}),
    ;

    private final int type;
    private final String label;
    private final String[] patterns;

    ReportType(int type, String label, String[] patterns) {
        this.type = type;
        this.label = label;
        this.patterns = patterns;
    }
}
